import h5py
import numpy as np
from glob import glob

infiles = glob("simulation_output/**/*.hdf5")

for infile in infiles:
    f = h5py.File(infile, "r+")

    volume = (f.attrs["zmax"]-f.attrs["zmin"])*(f.attrs["rmax"]**2*np.pi)
    fiducial_volume = (f.attrs["fiducial_zmax"]-f.attrs["fiducial_zmin"])*(f.attrs["fiducial_rmax"]**2*np.pi)

    f.attrs.create("volume", volume)

    print("Volume:", volume)
    print("Fiducial Volume:", fiducial_volume, f"{volume/fiducial_volume:.2f} times smaller")

    try:
        f.create_dataset("event_group_ids", data=f["event_ids"])
    except:
        # already present
        pass
